OfonoCallMeter Class Reference

This class is used to access oFono call meter API. More...

`#include <ofonocallmeter.h>`

Inheritance diagram for OfonoCallMeter:

## Public Slots

void | requestCallMeter ()

## Signals

void | callMeterComplete (bool success, uint value)
void | callMeterChanged (uint value)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoCallMeter (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono call meter API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/call-meter-api.txt

The documentation for this class was generated from the following file:

- lib/ofonocallmeter.h